package com.bocloud.mcs.config;

import com.megatron.framework.core.InterceptorBridge;
import com.megatron.framework.core.config.InterceptorConfiguration;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.ArrayList;

/**
 * 拦截器配置类
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年3月30日
 */
@Slf4j
@Component
public class WebInterceptorConfiguration implements InterceptorConfiguration {

    @Override
    public InterceptorBridge buildBridge() {
        InterceptorBridge bridge = new InterceptorBridge();
        bridge.setInterceptors(new ArrayList<>());
        bridge.setMessageConverters(new ArrayList<>());
        bridge.setResolvers(new ArrayList<>());
        return bridge;
    }
}
