package com.bocloud.mcs.common;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

/**
 * 平台认证信息(地域)实体类
 *
 * @author fanzhenxi
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Authentication {

    /**
     * 地域集合
     */
    private List<String> regions;

    private String regionId;

    /**
     * AK
     */
    private String secretKey;

    /**
     * SK
     */
    private String accessKey;

    /**
     * 版本号
     */
    private String version;

    /**
     * 判断是否是专有云
     */
    private String address;
    private String url;

    /**
     * 百度云新增
     */
    private String userId;


    private String account;

    private String password;

    private String projectId;

    private String domainName;
}
